Package org.jfree.layouting.input.style.parser.stylehandler.text

## Class TextOverflowReadHandler

- java.lang.Object
- - org.jfree.layouting.input.style.parser.stylehandler.text.TextOverflowReadHandler

- All Implemented Interfaces:
    `CSSCompoundValueReadHandler`

      public class TextOverflowReadHandler
      extends java.lang.Object
      implements CSSCompoundValueReadHandler

  Creation-Date: 02.12.2005, 19:36:00
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextOverflowReadHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map` | `createValues​(org.w3c.css.sac.LexicalUnit unit)` | Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.
    `StyleKey[]` | `getAffectedKeys​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextOverflowReadHandler

          public TextOverflowReadHandler​()

  - ### Method Detail

    - #### createValues

          public java.util.Map createValues​(org.w3c.css.sac.LexicalUnit unit)

      Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.
      Specified by:
        `createValues` in interface `CSSCompoundValueReadHandler`
      Parameters:
        `unit` -
      Returns:

    - #### getAffectedKeys

          public StyleKey[] getAffectedKeys​()

      Specified by:
        `getAffectedKeys` in interface `CSSCompoundValueReadHandler`